Subject: Re: bug#21551: Fix Mac OS X key bindings bug

From: Philipp Stephani <[email-masked]>
Date: Sun, 18 Feb 2018 21:59:29 +0000

Alan Third <[email-masked]> schrieb am Mi., 14. Feb. 2018 um 22:44 Uhr:

> On Tue, Feb 13, 2018 at 06:56:20PM +0000, Alan Third wrote:
> > On Sun, Feb 11, 2018 at 05:57:32PM +0000, Philipp Stephani wrote:
> > > It seems like in the macOS input model, we can't: either we strip away
> all
> > > modifiers, or none.
> >
> > It appears you can using some Carbon stuff. Half‐assed proof of
> > concept patch attached.
>
> Better version attached.
>
> Is there any reason to avoid Carbon code? I’m not aware of any, and if
> it’s OK then I think this finally solves this problem.
>
>
Carbon is deprecated, isn't it? That means it's quite likely that patches
relying on Carbon will have to be removed later, should Carbon be ever
removed completely.
For now, it's probably fine though to use Carbon if there's no alternative.